'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.changeColumn('in_progress_material_request', 'status', {
      type: Sequelize.ENUM('DRAFT', 'SUBMITTED', 'APPROVED', 'SENT_TO_MR', 'PARTIAL', 'COMPLETED', 'CANCELLED'),
      allowNull: false,
      defaultValue: 'DRAFT',
    });
  },

  down: async (queryInterface, Sequelize) => {
    await queryInterface.changeColumn('in_progress_material_request', 'status', {
      type: Sequelize.ENUM('DRAFT', 'SENT_TO_MR', 'PARTIAL', 'COMPLETED', 'CANCELLED'),
      allowNull: false,
      defaultValue: 'SENT_TO_MR',
    });
  }
};

